## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This specfile is licensed under:
# SPDX-FileCopyrightText: Fedora Project Authors
# SPDX-FileCopyrightText: 2024 Maxwell G <maxwell@gtmx.me>
# SPDX-License-Identifier: MIT
# License Text: https://spdx.org/licenses/MIT.html

# Generated by go2rpm 1.11.0
%bcond_without check

# https://github.com/moby/moby
%global goipath         github.com/docker/docker
%global forgeurl        https://github.com/moby/moby
# For rc, beta, alpha releases substitute tilde (~) for dash (-)
# in version0. tag0 reverses the substitution
# e.g.  global version0        27.4.0~rc.4
%global version0        27.4.1
%global tag0            v%{gsub %{version0} ~ -}

# https://github.com/docker/cli
%global goipath1        github.com/docker/cli
%global version1        %{version0}
%global tag1            %{tag0}

%gometa -L -a -f
%global engine_dir ../%{topdir0}
%global cli_dir ../%{topdir1}

%global common_description %{expand:
Docker is an open source project to build, ship and run any application as a
lightweight container.

Docker containers are both hardware-agnostic and platform-agnostic. This means
they can run anywhere, from your laptop to the largest EC2 compute instance and
everything in between — and they do not require you to use a particular
language, framework or packaging system. That makes them great building blocks
for deploying and scaling web apps, databases, and backend services without
depending on a particular stack or provider.
}

Name:           moby-engine
Version:        %{forgeversion}
Release:        %autorelease
Summary:        The open-source application container engine

# Generated with go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND (Apache-2.0 OR GPL-2.0-or-later)
URL:            %{gourl}
Source0:        %{gosource0}
Source1:        %{gosource1}
# We create our own vendor tarballs instead of using the built-in directoies.
# This allows us to include the manpage build dependencies for docker-cli
# and make any of our own changes to the deps included as necessary.
Source2:        %{archivename0}-vendor.tar.bz2
Source3:        %{archivename1}-vendor.tar.bz2

Source100:      moby-engine-systemd-sysusers.conf
Source101:      macros.moby
Source102:      LICENSE.macros

Source200:      engine_go-vendor-tools.toml
Source201:      cli_go-vendor-tools.toml

Patch0:         0001-systemd-adjust-docker.service-for-downstream.patch

Patch1000:      0001-scripts-adjust-generate-man-for-Fedora-build-env.patch

BuildRequires:  git-core
BuildRequires:  go-vendor-tools
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  systemd-devel
BuildRequires:  /usr/bin/go-md2man


# docker.service depends on containerd
Requires:       containerd
# The docker CLI is provided as a separate package
Requires:       docker-cli = %{version}-%{release}
# moby-filesystem owns the libexecdir/docker directory
Requires:       moby-filesystem = %{version}-%{release}
# tini-static is used as the docker-init binary
Requires:       tini-static

# Other runtime packages (sorted)
Requires:       container-selinux
Requires:       iptables
Requires:       libseccomp
Requires:       pigz
Requires:       systemd
Requires:       tar
Requires:       xz

# Provide docker name to help users who "dnf install docker"
Provides:       docker = %{version}-%{release}

# Conflict with upstream packages
Conflicts:      docker-ce
Conflicts:      docker-ee

%description %{common_description}


%package nano
Summary:        GNU nano syntax highlighting files for Moby
BuildArch:      noarch
Requires:       nano
Supplements:    moby-engine

%description nano %{common_description}
This package installs %{summary}.


# We name this package docker-cli, as that's the name of the upstream project.
# moby-engine is github.com/moby/moby.
%package -n docker-cli
Version:        %{forgeversion -z1}
Summary:        The Docker CLI
# Generated with go-vendor-tools
%global cli_license Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND MIT
License:        %{cli_license}
Requires:       moby-filesystem = %{version}-%{release}
# Recommend main moby-engine package with the docker daemon
# We don't use a strict dependency, as it's possible to use the docker CLI with
# a different host.
Recommends:     moby-engine
# docker buildx is the new supported way to run builds; docker build is deprecated.
Recommends:     docker-buildx

# Conflict with older moby-engine versions
Conflicts:      moby-engine < %{version}-%{release}
Conflicts:      moby-engine > %{version}-%{release}

# Conflict with upstream packages
Conflicts:      docker-ce-cli
Conflicts:      docker-ee-cli
# Conflict with podman-docker that also contains /usr/bin/docker
Conflicts:      podman-docker

# Obsolete old separate shell completions packages
Obsoletes:      moby-engine-fish-completion < 24.0.5-6
Obsoletes:      moby-engine-zsh-completion < 24.0.5-6

%description -n docker-cli %{common_description}

This package provides the Docker CLI.


%package -n moby-filesystem
Summary:        Filesystem package for the Moby/Docker stack
License:        LicenseRef-Not-Copyrightable
BuildArch:      noarch

%description -n moby-filesystem %{common_description}

This is the filesystem subpackage for the Moby/Docker stack.


%package -n moby-rpm-macros
Summary:        RPM Macros for the Moby/Docker stack
License:        MIT
BuildArch:      noarch

%description -n moby-rpm-macros %{common_description}

This package provides RPM macros for the Moby/Docker stack.


%prep
%goprep -a -A

# moby-engine
cd %{_builddir}/%{extractdir0}
# Unpack vendor archive
%__rpmuncompress -x %{S:2}
# Apply patches 0-1000
%autopatch -M999 -p1
cp -p %{S:100} %{S:101} %{S:102} .
# See comment in go-vendor-tools.toml
cp go.mod vendor.mod
cp go.sum vendor.sum

# docker-cli
cd %{cli_dir}
# Unpack vendor archive
%__rpmuncompress -x %{S:3}
# Apply patches 1000+.
%autopatch -m1000 -p1
# See comment in go-vendor-tools.toml
cp go.mod vendor.mod
cp go.sum vendor.sum
rm -f man/go.mod


%generate_buildrequires
# moby-engine
%go_vendor_license_buildrequires -c %{S:200}
# docker-cli
%go_vendor_license_buildrequires -c %{S:201}

%build
GO_LDFLAGS="" GO_BUILDTAGS=""
export CGO_ENABLED=1

# moby-engine
cd %{engine_dir}
# DOCKER_DEBUG: Ensure that all debuginfo is preserved
BUILDFLAGS="%{gocompilerflags} -a -v -x" \
CGO_CFLAGS="%{build_cflags}" \
CGO_LDFLAGS="%{build_ldflags}" \
DOCKER_BUILDTAGS="rpm_crashback journald" \
DOCKER_GITCOMMIT=%{release} \
DOCKER_DEBUG=1 \
DOCKER_LDFLAGS=%{gobuild_ldflags_shescaped} \
LDFLAGS=%{gobuild_ldflags_shescaped} \
VERSION=%{version} \
GOPATH=%{gobuilddir} \
    bash -x ./hack/make.sh dynbinary

# docker-cli
cd %{cli_dir}
%make_build dynbinary \
    DISABLE_WARN_OUTSIDE_CONTAINER=1 \
    GITCOMMIT=%{release} \
    GO_BUILDTAGS="rpm_crashback" \
    GO_LDFLAGS=%{gobuild_ldflags_shescaped} \
    VERSION=%{version} \
dynbinary manpages

%install
# moby-engine
cd %{engine_dir}
# Install licenses
%go_vendor_license_install -c %{S:200}
# Install binaries
install -Dpm 0755 bundles/dynbinary*/* -t %{buildroot}%{_bindir}
# Install systemd configuration
install -Dpm 0644 contrib/init/systemd/* -t %{buildroot}%{_unitdir}
# Install sysusers config
install -Dpm 0644 moby-engine-systemd-sysusers.conf %{buildroot}%{_sysusersdir}/moby-engine.conf
# Install udev rules
install -Dpm 0644 contrib/udev/80-docker.rules -t %{buildroot}%{_udevrulesdir}
# Install nano syntax
install -Dpm 644 contrib/syntax/nano/Dockerfile.nanorc -t %{buildroot}%{_datadir}/nano/

# docker-cli
cd %{cli_dir}
# Install licenses
%go_vendor_license_install -c %{S:201}
# Install docker-cli
install -Dpm 0755 build/docker -t %{buildroot}%{_bindir}
# Install shell completions
install -Dpm 644 contrib/completion/bash/docker -t %{buildroot}%{bash_completions_dir}
install -Dpm 644 contrib/completion/zsh/_docker -t %{buildroot}%{zsh_completions_dir}
install -Dpm 644 contrib/completion/fish/docker.fish -t %{buildroot}%{fish_completions_dir}
# Install manpages
install -Dpm 644 man/man1/*.1 -t %{buildroot}%{_mandir}/man1/
install -Dpm 644 man/man5/*.5 -t %{buildroot}%{_mandir}/man5/
install -Dpm 644 man/man8/*.8 -t %{buildroot}%{_mandir}/man8/
cd -

# moby-filesystem
mkdir -p %{buildroot}%{_libexecdir}/docker
mkdir %{buildroot}%{_libexecdir}/docker/cli-plugins

# moby-rpm-macros
install -Dpm 0644 macros.moby -t %{buildroot}%{_rpmmacrodir}

%check
skiptest() {
    for test in "$@"; do
        awk -i inplace '/^func.*'"${test}"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' \
            $(grep -rl "${test}")
    done
}
export PATH="%{buildroot}%{_bindir}:${PATH}" TZ=utc

# moby-engine
cd %{engine_dir}
%go_vendor_license_check -c %{S:200}

# docker-cli
cd %{cli_dir}
%go_vendor_license_check -c %{S:201} %{cli_license}

%if %{with check}
# moby-engine
cd %{engine_dir}
# Manually skip specific tests
skiptest \
    "TestSCTP4Proxy" \
    %dnl Failed to enter netns: operation not permitted
    "TestIfaceAddrs" \
    %dnl failed to mount resolved path: operation not permitted
    "TestJoinGoodSymlink" \
    "TestJoinWithSymlinkReplace" \
    "TestJoinCloseInvalidates" \
    %ifarch s390x
    %dnl Test timeout
    "TestCloseRunningCommand" \
    %endif

# graphdriver tests require extra permissions
# integration tests require a running docker daemon
# libnetwork tests cannot create netns in mock
# pkg/archive do not work in mock, either
# daemon/graphdriver/fuse-overlayfs tests fail with permission errors
%gocheck -t daemon/graphdriver -t integration -t libnetwork -d pkg/archive

# docker-cli
cd %{cli_dir}
skiptest \
    "TestInitializeFromClientHangs" \
    %dnl Needs network
    "TestRunBuildFromGitHubSpecialCase" \
    %dnl Test is flaky
    "TestConnectAndWait" \
    %dnl Test panics
    "TestRunAttachTermination"

%gocheck -z1 -t e2e
%endif


%pre
%sysusers_create_compat %{S:100}


%post
%systemd_post docker.service docker.socket


%preun
%systemd_preun docker.service docker.socket


%postun
%systemd_postun_with_restart docker.service


%files -f %{engine_dir}/%{go_vendor_license_filelist}
%license %{engine_dir}/vendor/modules.txt
%doc %{engine_dir}/README.md
%{_bindir}/docker-proxy
%{_bindir}/dockerd
%{_sysusersdir}/moby-engine.conf
%{_udevrulesdir}/80-docker.rules
%{_unitdir}/docker.service
%{_unitdir}/docker.socket


%files nano
%license %{engine_dir}/AUTHORS
%license %{engine_dir}/LICENSE
%license %{engine_dir}/NOTICE
%{_datadir}/nano/Dockerfile.nanorc


%files -n docker-cli -f %{cli_dir}/%{go_vendor_license_filelist}
%license %{cli_dir}/vendor/modules.txt
%doc %{cli_dir}/README.md
%{_bindir}/docker
%{_mandir}/man1/docker*.1*
%{_mandir}/man5/{Dockerfile,docker-config-json}.5*
%{_mandir}/man8/dockerd.8*
%{bash_completions_dir}/docker
%{fish_completions_dir}/docker.fish
%{zsh_completions_dir}/_docker


%files -n moby-filesystem
%dir %{_libexecdir}/docker
%dir %{_libexecdir}/docker/cli-plugins


%files -n moby-rpm-macros
%license %{engine_dir}/LICENSE.macros
%{_rpmmacrodir}/macros.moby


%changelog
## START: Generated by rpmautospec
* Wed Dec 18 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.4.1-1
- Update to release v27.4.1
- Resolves rhbz#2331204

* Mon Dec 09 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.4.0-1
- Update to release v27.4.0
- Resolves rhbz#2331204
- Significant bug fixes and enhancements. See upstream change log.

* Fri Dec 06 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.4.0~rc.4-2
- Improve tag0 syntax

* Fri Dec 06 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.4.0~rc.4-1
- Update to release v27.4.0-rc.4
- Resolves rhbz#2330680
- Release candidate 4. Significant changes from v27.3. See upstream change
  log.

* Tue Sep 24 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.3.1-2
- Restore pigz as a runtime requirement

* Fri Sep 20 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.3.1-1
- Update to v27.3.1
- Resolve rhbz#2308340

* Mon Sep 09 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.2.1-1
- Update to v27.2.1

* Mon Sep 09 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.2.0-1
- Update to v27.2.0

* Sat Sep 07 2024 Maxwell G <maxwell@gtmx.me> - 27.1.2-2
- Fix spelling error in LICENSE.macros copyright

* Wed Aug 21 2024 Maxwell G <maxwell@gtmx.me> - 27.1.2-1
- Update to 27.1.2. Fixes rhbz#2274717.

* Sat Aug 03 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.1.1-8
- Remove bash annotation on code blocks

* Sat Aug 03 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 27.1.1-5
- Add source 0,1 download to mkvendor.sh

* Sat Aug 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 27.1.1-4
- Make moby-filesystem and moby-rpm-macros noarch

* Fri Aug 02 2024 Maxwell G <maxwell@gtmx.me> - 27.1.1-3
- Handle s390x test failures

* Fri Aug 02 2024 Maxwell G <maxwell@gtmx.me> - 27.1.1-2
- Always set CGO_ENABLED=1.

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 27.1.1-1
- Update to 27.1.1.
- Merge docker-cli and moby-packaging into a single source package

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 26.1.4-1
- Update to 26.1.4.

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 26.1.0-1
- Update to 26.1.0.

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 26.0.1-2
- Re-enable i686 builds

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 26.0.1-1
- Update to 26.0.1.

* Thu Aug 01 2024 Maxwell G <maxwell@gtmx.me> - 26.0.0-1
- Update to 26.0.0. Fixes rhbz#2237925.

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 24.0.5-4
- Rebuild for golang 1.22.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 23 2023 LuK1337 <priv.luk@gmail.com> - 24.0.5-1
- Update moby-engine to 24.0.5

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 29 2023 John Ghatas <john@johnghatas.com>
- Update moby-engine to 23.0.4

* Sun Jan 29 2023 Sérgio Basto <sergio@serjux.com>
- Update moby-engine to 20.10.23

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 01 2023 Sérgio Basto <sergio@serjux.com>
- Update moby-engine to 20.10.22

* Wed Dec 14 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 20.10.21-1
- Update to 20.10.21
- Fix build, use libnetwork from golang-github-docker-0:22.06.0~beta

* Thu Oct 20 2022 Jan Kuparinen <copperi@fedoraproject.org> - 20.10.20-1
- Update to 20.10.20.
- Mitigates CVE-2022-39253

* Tue Oct 18 2022 Jan Kuparinen <copperi@fedoraproject.org> - 20.10.19-1
- Update to 20.10.19.

* Sat Sep 10 2022 Maxwell G <gotmax@e.email> - 20.10.18-1
- Update to 20.10.18.
- Mitigates CVE-2022-36109 / GHSA-rc4r-wh2q-q6c4

* Tue Aug 30 2022 Luca BRUNO <lucab@lucabruno.net> - 20.10.17-8
- Move 'docker' group creation logic to a sysusers.d fragment
  Resolves: rhbz#1745936

* Fri Aug 05 2022 Maxwell G <gotmax@e.email> - 20.10.17-7
- Migrate to SPDX license identifiers
- Generate debuginfo
- Specfile improvements

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 20.10.17-5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Mon Jul 04 2022 Maxwell G <gotmax@e.email> - 20.10.17-4
- Only build on %%golang_arches (i.e. where golang is available).

* Sun Jun 19 2022 Maxwell G <gotmax@e.email> - 20.10.17-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629.

* Sat Jun 11 2022 Maxwell G <gotmax@e.email> - 20.10.17-2
- Rebuild for new golang-github-docker-libnetwork

* Fri Jun 10 2022 Maxwell G <gotmax@e.email> - 20.10.17-1
- Update to 20.10.17. Fixes rhbz#2095714.

* Fri May 13 2022 Maxwell G <gotmax@e.email> - 20.10.16-1
- Update to 20.10.16.

* Sat May 07 2022 Maxwell G <gotmax@e.email> - 20.10.15-1
- Update to 20.10.15 (rhbz#2082501).
- Fix BUILDTAGS (rhbz#2082924).
- Make non-binary subpackages noarch.

* Mon Apr 11 2022 Maxwell G <gotmax@e.email> - 20.10.14-1
- Update to 20.10.14. Fixes rhbz#2063052.
- Mitigate CVE-2022-24769.

* Mon Jan 31 2022 Maxwell G <gotmax@e.email> - 20.10.12-3
- Fixes FTBFS. Closes rhbz#2046748.
- Use %%gobuild instead of Makefile to build binaries
- Add explanatory comments.
- Normalize install commands
- Make compliant with SourceURL Guidelines
- Remove no longer necessary `ExcludeArch: ppc64`.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.10.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 11 2022 Maxwell G <gotmax@e.email> - 20.10.12-1
- Update to 20.10.12. Fixes rhbz#2032534.
- Install zsh completions to the correct directory. Fixes rhbz#2038888.

* Mon Nov 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10-11-1
- Update to upstream 20.10.11 (fixes rhbz#2024384)
- Mitigates CVE-2021-41190 (fixes rhbz#2024940)

* Fri Oct 29 2021 Maxwell G <gotmax@e.email> - 20.10.10-1
- Update to 20.10.10 (fixes rhbz#2015385)
- Update virtual provides

* Fri Oct 08 2021 Maxwell G <gotmax@e.email> - 20.10.9-1
- Update to 20.10.9 (fixes rhbz#2010508)
- Patch seccomp policy to fix clone3() issue (fixes rhbz#2011523 and rhbz#1988199)

* Sun Aug 15 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10.8-1
- Update to upstream 20.10.8 (fixes rhbz#1990148)
- Fix seccomp support (fixes rhbz#1986092)

* Sun Aug 15 2021 Dusty Mabe <dusty@dustymabe.com> - 20.10.7-3
- Remove `Requires(post)` on firewalld-filesystem.

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.10.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 16 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10.7-1
- Update to upstream 20.10.7 (fixes rhbz#1967390)

* Tue May 04 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10.6-2
- Add conflict with podman-docker

* Tue Apr 20 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10.6-1
- Update to upstream 20.10.6 (#1948605)
- Re-bundle moby dependencies to fix gRPC issues with Swarm
  (https://github.com/coreos/fedora-coreos-tracker/issues/793)

* Sun Mar 14 2021 Olivier Lemasle <o.lemasle@gmail.com> - 20.10.5-1
- Update to latest upstream 20.10.5 - fixes #1903426
- Upstream brings compatibility with cgroups v2 - fixes #1746355
- Remove package moby-engine-vim (dockerfile.vim has been merged in upstream vim)
- Remove firewalld docker zone, since dockerd can now communicate with firewalld - fixes #1852680
- Build dockerd and docker-proxy from unbundled source packages
- Remove fixed storage-driver (cf. https://src.fedoraproject.org/rpms/moby-engine/pull-request/6)

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 19.03.13-3.ce.git4484c46
- Rebuilt for updated systemd-rpm-macros
  See https://pagure.io/fesco/issue/2583.

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 19.03.13-2.ce.git4484c46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 02 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.13-1.ce.git4484c46
- Update to upstream 19.03.13 (#1837641)

* Fri Oct 02 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.11-4.ce.git42e35e6
- Fix FTBFS: adapt to change to CMake builds (#1864160)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.03.11-3.ce.git42e35e6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.03.11-2.ce.git42e35e6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 07 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.11-1.ce.git42e35e6
- Update to upstream 19.03.11 to prevent CVE-2020-13401

* Thu May 07 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.8-2.ce.gitafacb8b
- Configure storage-driver explicitely (fixes #1832301)
- Add firewalld zone: trust interface docker0, as firewalld now uses nftables
  by default and docker communicates with iptables (fixes #1817022)

* Mon Mar 16 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.8-1.ce.gitafacb8b
- Update to latest upstream release - Docker CE 19.03.8
- Prune unused BuildRequires

* Sun Mar 8 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.7-2.ce.git7141c19
- Add Conflicts with docker-ce-cli and Obsoletes docker-common

* Sat Mar 7 2020 Olivier Lemasle <o.lemasle@gmail.com> - 19.03.7-1.ce.git7141c19
- Update to latest upstream release - Docker CE 19.03.7
- Add Epoch: 2 to Obsoletes for docker and docker-latest

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 18.09.8-3.ce.git0dd43dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 18.09.8-2.ce.git0dd43dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jul 18 2019 Olivier Lemasle <o.lemasle@gmail.com> - 18.09.8-1.ce.git0dd43dd
- Update to latest upstream release - Docker CE 18.09.8

* Sat Jul 13 2019 Olivier Lemasle <o.lemasle@gmail.com> - 18.09.7-5.ce.git2d0083d
- Move docker-init and docker-proxy to /usr/libexec/docker
- Update moby-engine-nano summary to follow guidelines

* Sat Jul 13 2019 Olivier Lemasle <o.lemasle@gmail.com> - 18.09.7-4.ce.git2d0083d
- Add nofile ulimit to default docker daemon options (#1715254, #1708115)

* Fri Jul 12 2019 Olivier Lemasle <o.lemasle@gmail.com> - 18.09.7-3.ce.git2d0083d
- rebuilt

* Fri Jul 12 2019 Olivier Lemasle <o.lemasle@gmail.com> - 18.09.7-2.ce.git2d0083d
- Depend on packaged versions "runc" and "containerd" instead of building them.

* Thu Jun 27 2019 David Michael <dm0@redhat.com> - 18.09.7-1.ce.git2d0083d
- Update docker-ce to commit 2d0083d (version 18.09.7).
- Update runc to commit 425e105.
- Update containerd to commit 894b81a (1.2.6).
- Update docker-proxy to commit e7933d4.

* Tue May 14 2019 David Michael <dm0@redhat.com> - 18.09.6-1.ce.git481bc77
- Update docker-ce to commit 481bc77 (version 18.09.6).
- Update docker-proxy to commit 872f0a8.
- Obsolete and provide the docker and docker-latest packages. (#1700006)

* Thu Apr 11 2019 David Michael <dm0@redhat.com> - 18.09.5-1.ce.gite8ff056
- Update docker-ce to commit e8ff056 (version 18.09.5).
- Update docker-runc to commit 2b18fe1.
- Update docker-containerd to commit bb71b10 (version 1.2.5).
- Update docker-proxy to commit 4725f21.
- Report the correct engine version.
- Install symlinks to unprefixed runc/containerd program names.

* Thu Mar 28 2019 David Michael <dm0@redhat.com> - 18.06.3-2.ce.gitd7080c1
- Conflict with docker-common. (#1693397)

* Thu Feb 21 2019 David Michael <dm0@redhat.com> - 18.06.3-1.ce.gitd7080c1
- Update docker-ce to commit d7080c1 (version 18.06.3).

* Tue Feb 12 2019 David Michael <dm0@redhat.com> - 18.06.2-1.ce.git6d37f41
- Update docker-ce to commit 6d37f41 (version 18.06.2).
- Update docker-runc to commit a592beb.

* Mon Feb 11 2019 David Michael <dm0@redhat.com> - 18.06.1-3.ce.gite68fc7a
- Apply a runc patch for CVE-2019-5736.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 18.06.1-2.ce.gite68fc7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 David Michael <dm0@redhat.com> - 18.06.1-1.ce.gite68fc7a
- Update docker-ce to commit e68fc7a (version 18.06.1).
- Update docker-runc to commit 69663f0.
- Update docker-containerd to commit 468a545 (version 1.1.2).
- Update docker-proxy to commit 3ac297b.
- Backport a fix for mounting named volumes.
- Create a "docker" group for non-root Docker access.
- Support systemd socket-activation.
- Make runc and containerd commit IDs match their expected values.
- Preserve containerd debuginfo.

* Mon Nov 12 2018 Marcin Skarbek <rpm@skarbek.name> - 18.06.0-2.ce.git0ffa825
- add configuration file
- update service file

* Sat Aug 18 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 18.06.0-1.ce.git0ffa825
- Resolves: #1539161 - first upload to Fedora
- built docker-ce commit 0ffa825
- built docker-runc commit ad0f5255
- built docker-containerd commit a88b631
- built docker-proxy commit a79d368
- built docker-init commit fec3683

* Tue Mar 20 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 17.03.2-4.ce.gitf5ec1e2
- correct some rpmlint errors

* Wed Feb 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 17.03.2-3.ce
- docker-* symlinks to moby-* (RE: gh PR 34226)

* Wed Feb 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 17.03.2-2.ce
- rename binaries as per upstream gh PR 34226

* Fri Jan 26 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 17.03.2-1
- initial build
- built moby commit f5ec1e2
- built cli commit 4b61f56
- built docker-runc commit 2d41c047
- built docker-containerd commit 3addd84
- built docker-proxy commit 7b2b1fe

## END: Generated by rpmautospec
